#make clean
#make

#java MainCodeGenerator test.c

clang -O0 -emit-llvm -c test.c 

opt -load ./../array-reordering-v3.so -cd-ar3 test.o -o test1.o
opt -load ./../array-reordering-v3.so -dce test1.o -o test2.bc
clang test2.bc -o test3.out

dcache_path=/home/user/Downloads/pin-2.12-58423-gcc.4.4.7-linux/source/tools/SimpleExamples/obj-ia32/dcache.so
echo "**************cache hit rate for original code*************"
clang test.c -o test4.out
pin -t $dcache_path -- /home/user/homework/project-new/microbenchmark/test4.out
cat dcache.out


echo "**************cache hit rate for transformed code***********"
pin -t $dcache_path -- /home/user/homework/project-new/microbenchmark/test3.out
cat dcache.out


#echo "*******************START PRINTING OUT OLD IR CODE*****************\n"
#opt -load ./array-reordering-v2.so -cd-ar2 test.o
#echo "*******************FINISH PRINTING OUT OLD IR CODE*****************\n"
#echo "*******************START PRINTING OUT OPTIMIZED IR CODE*****************\n"
#opt -load ./array-reordering-v2.so -cd-ar2 test2.bc
#echo "*******************FINISH PRINTING OUT OPTIMIZED IR CODE*****************\n"
